aboutsummaryrefslogtreecommitdiff
path: root/internal/p10k.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'internal/p10k.zsh')
-rw-r--r--internal/p10k.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index ae9ffacd..a3541bac 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -1904,7 +1904,7 @@ prompt_dir() {
else
local key=
fi
- if ! _p9k_cache_ephemeral_get $0 $e $i $_p9k__cwd || [[ $key != $_p9k__cache_val[1] ]]; then
+ if ! _p9k_cache_ephemeral_get $0 $e $i $_p9k__cwd $p || [[ $key != $_p9k__cache_val[1] ]]; then
local rtail=${(j./.)rparts[i,-1]}
local parent=$_p9k__cwd[1,-2-$#rtail]
_p9k_prompt_length $delim